Subject: bug#22399: closed (Re: bug#22399: org-mode fontification)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 01 Feb 2016 13:51:02 +0000

Your bug report

#22399: org-mode fontification

which was filed against the emacs,org-mode package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22399: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22399
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22399: org-mode fontification
From: Stefan Monnier <[email-masked]>
To: Kyle Meyer <[email-masked]>
Cc: [email-masked], Rasmus <[email-masked]>, Phillip Lord <[email-masked]>
Date: Mon, 01 Feb 2016 08:50:11 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

> No, I don't have commit rights.  I'll update the Org side, but, for
> issues that were introduced in the Emacs tree post 24.5, I don't know if
> it's preferable to also update Emacs instead of waiting for the changes
> to come over with a full sync.

Looks like there's no Org people following this, so I installed it into
emacs-25 (IOW it should be fixed in the next (25.0.91) pretest).

        Stefan

Subject: org-mode fontification
From: [email-masked] (Phillip Lord)
To: [email-masked]
Date: Mon, 18 Jan 2016 13:59:41 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On emacs-25 ox-html, line 1847, org-html-fontify-code does this...

(setq code (with-temp-buffer
		       ;; Switch to language-specific mode.
		       (funcall lang-mode)
		       (insert code)
		       ;; Fontify buffer.
		       (org-font-lock-ensure)

But `org-font-lock-ensure' is defined like so....

(defalias 'org-font-lock-ensure
  (if (fboundp 'org-font-lock-ensure)
      #'font-lock-ensure
    (lambda (_beg _end) (font-lock-fontify-buffer))))

which takes two args, causing crashes when exporting to code to HTML.

Phil